## ----inlaWorkaround, include=FALSE--------------------------------------------
# use the static INLA on linux machines
# to avoid possible 'libgomp not found' errors
if(Sys.info()['sysname'] =='Linux' &
  requireNamespace("INLA")) {   
  INLA::inla.setOption(inla.call = 
      system.file(paste(
          "bin/linux/",          
          ifelse(
            .Machine$sizeof.pointer == 4, 
            "32", "64"),
          'bit/inla.static', sep=''),
        package="INLA")) 
}

## ----gammaData----------------------------------------------------------------
data('meuse', package='sp')
distBreaks = seq(0, 1, len=101)
meuse$distCut = cut(meuse$dist, breaks=distBreaks, 
  right=FALSE)
meuse$soilFac = factor(meuse$soil, levels=1:3, 
  labels=c('Calcerous','Non-Calcerous','Red Brick'))
meuse[1:4,c('cadmium','elev','dist','distCut', 'soilFac')]

## ----results, eval = exists("mod")--------------------------------------------
#  knitr::kable(mod$summary.fixed, digits=3)
#  knitr::kable(mod$summary.hyper, digits=3)

## ----sdSummary, eval = exists("mod")------------------------------------------
#  modSd = Pmisc::priorPost(mod)
#  knitr::kable(modSd$summary, digits=3)

## ----sdPlot, eval = exists("mod")---------------------------------------------
#  for(D in grep('^sd', names(modSd), value=TRUE)) {
#    do.call(matplot, modSd[[D]]$matplot)
#    do.call(legend, modSd$legend)
#  }

## ----distPlot, eval = exists("mod")-------------------------------------------
#  mod$summary.random$distCut[is.na(mod$summary.random$distCut$mean),-1] = 0
#  matplot(distBreaks[-length(distBreaks)],
#    exp(mod$summary.random$distCut[,paste0(c('0.5','0.025','0.975'), 'quant')]),
#    ylab = 'relative rate', xlab='distance', type='l', lty=c(1,2,2),
#    col='black', log='y')
#  legend("bottomleft", lty=c(1,2), legend=c('median','95% CI'), bty='n')

